OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.ClearBufferObject

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetARBClearBufferObject :: MonadIO m => m Bool
- gl_ARB_clear_buffer_object :: Bool
- glClearBufferData :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> Ptr a -> m ()
- glClearBufferSubData :: MonadIO m => GLenum -> GLenum -> GLintptr -> GLsizeiptr -> GLenum -> GLenum -> Ptr a -> m ()

# Extension Support

glGetARBClearBufferObject :: MonadIO m => m Bool

Is the ARB_clear_buffer_object extension supported?

gl_ARB_clear_buffer_object :: Bool

Is the ARB_clear_buffer_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBClearBufferObject` in those cases instead.

# Functions

glClearBufferData

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `internalformat`.
-> GLenum | `format`.
-> GLenum | `type`.
-> Ptr a | `data` pointing to `COMPSIZE(format,type)` elements of type `a`.
-> m () |

Manual page for OpenGL 4.x.

glClearBufferSubData

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `internalformat`.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> GLenum | `format`.
-> GLenum | `type`.
-> Ptr a | `data` pointing to `COMPSIZE(format,type)` elements of type `a`.
-> m () |

Manual page for OpenGL 4.x.